;;extensions [ landscapes ]                                    ;;extension for background
patches-own [ height ]
breed[students student]
breed[colleges college]
students-own [percent pref-list admit intial-pref-list age pref-acquired]
colleges-own [max-seats seats-count coll-admits present-cutoff reputation]  
globals[x coll curr-admits allocation]



;;;;;;;;;;;;;;;;;;;;;;;;
;;; Setup procedures ;;;
;;;;;;;;;;;;;;;;;;;;;;;;

to setup
  
   clear-all
  ;;landscapes:generate "3 POT HOLES" "height"                 ;;to get a background
  ask patches [ set pcolor scale-color white height 0 4 ]
   
   ;initialize the system
   set x -13 ;starting position of x co-oridnate of colleges 
   set curr-admits []
   let incr 1
   create-colleges num-colleges [        ;creates the a given number of colleges with initial parameters
    set color 11 * incr
    set incr incr + 1
    if incr = 10 [set incr 11]
    set shape "house-new"
    set size 3
    set ycor -15
    set xcor x
    set x x + 3
    set max-seats random max-coll-seats + 1
    set seats-count 0
    set coll-admits []
     ] 
   let y -16;starting position of y co-oridnate of students 
   create-students num-students[        ;creates the a given number of students with initial parameters
    set y y + 1 
    set xcor y 
    set ycor 15
    set size 2
    set pref-list []
    let i 0
    let point ( random 365 ) * 0.01
    set age random 5
    set age age + 15 + point
    set shape "person"
    set admit false
    set percent random 70
    set percent percent  + 30
    repeat num-colleges [
      set pref-list fput i pref-list
      set i i + 1
      ]
    set pref-list shuffle pref-list 
    set intial-pref-list pref-list
    set label percent
    ]
   reputation-colleges
  set allocation false
   reset-ticks
  end

 
 
 to reputation-colleges ;calculates reputation of colleges
    ask students [
    let muiltply 0
    let i 0
    foreach pref-list 
    [
      ask colleges with [who = ?]
      [ 
        set muiltply e ^ (num-colleges - i)
        set reputation reputation + muiltply
        set i i + 1
        ]
     
      
      ]
    ]
    end



;;;;;;;;;;;;;;;;;;;;;;;;
;; Allocate procedure ;;
;;;;;;;;;;;;;;;;;;;;;;;;

;allocates students to colleges using the deferred acceptance algorithm

to allocate
  
 
while [any? students with [admit = false and length pref-list > 0]]
[   
  
  ask students[
     
    
     if (admit = true)
     [
       
     set pref-acquired ((length intial-pref-list) - (length pref-list))] 
     ;set pref-length length pref-list
     
     ;set pref-length pref-length + 1
     let who1 who                                    ;stores the current student who in who1
     
     let flag false                                  ;to check if student is admitted or not for updation
     let curr1 100                                   ;curr1 used while admitting the student and updating it, stores the current college trying to be admmitted to
     if(admit = false)[
                              
                              set color gray
                              set xcor 0 set ycor 0
                              while [any? other turtles-here]
                                [
                                  set heading 90
                                  fd 1] 
                                ]
     
     
     
  
     
     
     if((length pref-list > 0) and (admit = false))   ;student has not been admitted and preference list is not empty 
          [
             
             set color white
             wait 0.24
             let curr first pref-list                       ;curr stores the who of first college in pref-list
             set curr1 curr                                ;curr1 used while admitting the student
             ask colleges with [who = curr]                 ;checking the first preference college
                   [
                       set coll-admits sort-by [[age] of one-of students with [who = ?1] > [age] of one-of students with [who = ?2]] coll-admits 
                       set coll-admits sort-by [[percent] of one-of students with [who = ?1] > [percent] of one-of students with [who = ?2]] coll-admits 
                       let cur-col-list coll-admits               ;stores the college admit-list in cur-col-list
                       if-else (seats-count < max-seats )        ;checking if seats available
                             [
                               set seats-count seats-count + 1          ;increase the current seats filled by 1
                               set flag true                            ;student is admitted
                               set coll-admits lput who1 coll-admits    ;puts student in coll-admits
                               set coll-admits sort-by [[percent] of one-of students with [who = ?1] > [percent] of one-of students with [who = ?2]] coll-admits  ;sorts coll-admits list by percent of students admitted
                             ]          
                             
                       [
                               if-else([percent] of one-of students with [who = last cur-col-list]  < [percent] of one-of students with [ who = who1]) or
                               (
                                 ([percent] of one-of students with [who = last cur-col-list]  = [percent] of one-of students with [ who = who1]) and
                                 ([age] of one-of students with [who = last cur-col-list]  < [age] of one-of students with [ who = who1])
                                 )
                               
                               
                               
                                ;comparing percentage of last coll-admits with current student 
                                   [
                                                                          ;
                                        set coll-admits but-last coll-admits
                                        ask students with [who = last cur-col-list][set admit false]
                                        set coll-admits lput who1 coll-admits
                                        set coll-admits sort-by [[percent] of one-of students with [who = ?1] > [percent] of one-of students with [who = ?2]] coll-admits  ;doubtful
                                        
                                        set flag true
  
                                   ]
                                   [
                                    ask students with [who = who1] [set pref-list but-first pref-list set color gray]
                                     ]

 
                      ]
                     set coll-admits sort-by [[age] of one-of students with [who = ?1] > [age] of one-of students with [who = ?2]] coll-admits 
                     set coll-admits sort-by [[percent] of one-of students with [who = ?1] > [percent] of one-of students with [who = ?2]] coll-admits 
                     
                     
                     
                     set label coll-admits                 
                     let u last coll-admits
                     set present-cutoff [percent]  of one-of students with [who = u]    
                
                
                ]
        
           if(flag = true)[
                 set admit true 
                 
                 set pref-list but-first pref-list
                 move-to one-of colleges with [ who = curr1 ]
                 set color [color] of one-of colleges with [who = curr1]
                 while [any? other turtles-here]
                            [
                                set heading 0
                                fd 2
                            ]
    
    
    
    ]
        
        
        ]
    
         
  ]
  
  tick
  
]  
ask students with [length pref-list = 0][set pref-acquired 0]
show "Allocation has completed"
end


;;;;;;;;;;;;;;;;;;;;;;;;
;;; vacate procedure ;;;
;;;;;;;;;;;;;;;;;;;;;;;;

;used to vacaate a given number of seats

to vacate
   let curr-num-vacate-seats num-vacate-seats 
  if-else(count students with [admit = true] >= num-vacate-seats)
[
  ask colleges[
      foreach coll-admits [
        set curr-admits lput ? curr-admits
        ]
  ]
  while[curr-num-vacate-seats > 0]
  [let del random (length curr-admits)   
  let del-stud item del curr-admits
  ask students with [who = del-stud] [set color white]
  wait  3
  ask students with [who = del-stud] [die ]
  set curr-num-vacate-seats curr-num-vacate-seats - 1
  ]
  set curr-admits []
  ask students[
     set pref-list intial-pref-list
     set admit false
      ]
  ask colleges[
      set seats-count 0
      set coll-admits []
      set label coll-admits
      ]

show "Allocation process will begin again now"
wait 2.4
allocate  ;calls the allocate procedure to reallocate the students after their vacation
]
[
    show "Error, You are trying to vacate more seats than presently allocated."
]
end


;;;;;;;;;;;;;;;;;;;;;;;;
;;; check procedure ;;;; 
;;;;;;;;;;;;;;;;;;;;;;;;

;can be called by observer anytime to check if allocation algorithm has proceeded to completion

to check 
  
 let flag-check true
 
 ask students with[admit = false]
 [
   if-else(length pref-list = 0)[
   ]
   [
     set flag-check false
     ]
 ]
 if-else (flag-check)[
   show "Allocation has completed"
   ]
 [
  show "Allocation has not  completed"
   ]
end
  
  
 
@#$#@#$#@
GRAPHICS-WINDOW
252
15
726
510
16
16
14.061
1
10
1
1
1
0
1
1
1
-16
16
-16
16
0
0
1
ticks
30.0

BUTTON
112
25
176
58
Setup
setup\n
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
42
79
150
112
Allocate 
allocate
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

SLIDER
58
238
230
271
num-students
num-students
3
45
45
1
1
NIL
HORIZONTAL

PLOT
732
10
1010
206
 No. of Students vs. Preference Acquired
Preference Acquired
No. of Students
1.0
10.0
0.0
20.0
true
false
"set-plot-x-range 1 num-colleges\nset-plot-y-range 0 num-students\nset-histogram-num-bars num-colleges" ""
PENS
"default" 1.0 1 -16645628 true "" "histogram [pref-acquired] of students"

SLIDER
58
292
230
325
num-colleges
num-colleges
4
10
10
1
1
NIL
HORIZONTAL

SLIDER
59
347
231
380
max-coll-seats
max-coll-seats
3
7
5
1
1
NIL
HORIZONTAL

SLIDER
59
190
231
223
num-vacate-seats
num-vacate-seats
1
5
5
1
1
NIL
HORIZONTAL

BUTTON
158
79
228
112
Vacate
vacate
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

PLOT
1016
10
1312
198
Cut-offs of Colleges
Time
Cut-off Percentage
0.0
10.0
0.0
100.0
true
true
"set-plot-y-range 0 100" "let f 0\nwhile [ f < num-colleges ]\n[create-temporary-plot-pen (word \"college\" f) \nset-plot-pen-color [color]  of one-of colleges with [who = f]\nplot [present-cutoff] of one-of colleges with [who = f]\nset f f + 1\n]"
PENS

MONITOR
3
462
250
507
Number of Students Presently Unallocated
count students with [admit = false]
17
1
11

MONITOR
3
410
248
455
Number of Students Presently Allocated
count students with [admit = true]
17
1
11

PLOT
730
216
1326
459
Cutoff of Colleges vs. Reputation 
Reputation of Colleges
Present Cutoff of Colleges
0.0
10.0
0.0
100.0
true
true
"" "clear-plot\nlet f 0\nwhile [ f < num-colleges ]\n[create-temporary-plot-pen (word \"college\" f) \nset-plot-pen-color [color]  of one-of colleges with [who = f]\nplotxy [reputation] of one-of colleges with [who = f] [present-cutoff] of one-of colleges with [who = f]\nset-plot-pen-mode 1\nset f f + 1\n]"
PENS

MONITOR
3
512
265
557
Unallocated Students with Remaining Preference list
count students with[admit = false and length pref-list > 0]
17
1
11

PLOT
730
466
1219
808
Percentage of Student vs. Preference Acquired of Student
Percentage of Student
Preference Acquired of Student
0.0
100.0
0.0
10.0
true
false
"set-plot-x-range 0 100\nset-plot-y-range 0 num-colleges" "clear-plot \nlet f num-colleges\nwhile [ f < num-students + num-colleges ]\n[\nif  (count students with[who = f] > 0 )[ \ncreate-temporary-plot-pen (word \"student\" f) \nset-plot-pen-color [color]  of one-of students with [who = f]\nplotxy [percent] of one-of students with [who = f] [pref-acquired] of one-of students with [who = f]\nset-plot-pen-mode 1\n]\nset f f + 1\n]"
PENS

@#$#@#$#@
## WHAT IS IT?

(a general understanding of what the model is trying to show or explain)

## HOW IT WORKS

(what rules the agents use to create the overall behavior of the model)

Each student applies to the colleges according to randomly generated preference list ranking colleges in the order of his or her preference.We assume there are ties therefore, the applicant must not indifferent the among colleges. The mechanism for allocation is centralized clearing house.

Each student applies to her or his colleges in the order specified in the prefence list that is, intially first college. At each step of application by a student two cases may result:


## HOW TO USE IT

Press SETUP to create the colleges and students thereby assigning each student randomly  a percentage and age along with a college preference list for admission or allocation. A visualization of each colleges current allocation of students is also intiated. 

Press ALLOCATE to have the model run for allocation students to their preferred colleges. 

Press VACATE to the number of students specified by the variable num-vacate-seats

The NUM-STUDENTS slider specifies the number students applying for admission in the colleges available.  

The NUM-VACATE-SEATS slider decides how many presently allocated students you want to remove from their assigned colleges.

The NUM-COLLEGES slider is used to specify the number of colleges for students allocation

The MAX-COLL-SEATS slider is used to limit the maximum number seats of colleges for admittance of students. 

## THINGS TO NOTICE

(suggested things for the user to notice while running the model)

## THINGS TO TRY

(suggested things for the user to try to do (move sliders, switches, etc.) with the model)

## EXTENDING THE MODEL

(suggested things to add or change in the Code tab to make the model more complicated, detailed, accurate, etc.)

## NETLOGO FEATURES

(interesting or unusual features of NetLogo that the model uses, particularly in the Code tab; or where workarounds were needed for missing features)
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
1
Rectangle -7500403 true false 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true false 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

house-new
false
0
Rectangle -7500403 true true 90 75 105 210
Rectangle -7500403 true true 105 90 120 210
Rectangle -7500403 true true 120 105 135 210
Rectangle -7500403 true true 180 90 195 210
Rectangle -7500403 true true 195 75 210 210
Rectangle -7500403 true true 75 255 210 255
Rectangle -7500403 true true 60 210 240 225
Rectangle -7500403 true true 45 225 255 240
Rectangle -7500403 true true 165 105 180 210
Polygon -7500403 true true 75 90 150 90 225 90 150 150 75 90
Rectangle -7500403 true true 105 60 120 60
Polygon -7500403 true true 105 60 195 60 240 75 60 75
Rectangle -7500403 true true 120 45 180 60

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

sheep
false
15
Circle -1 true true 203 65 88
Circle -1 true true 70 65 162
Circle -1 true true 150 105 120
Polygon -7500403 true false 218 120 240 165 255 165 278 120
Circle -7500403 true false 214 72 67
Rectangle -1 true true 164 223 179 298
Polygon -1 true true 45 285 30 285 30 240 15 195 45 210
Circle -1 true true 3 83 150
Rectangle -1 true true 65 221 80 296
Polygon -1 true true 195 285 210 285 210 240 240 210 195 210
Polygon -7500403 true false 276 85 285 105 302 99 294 83
Polygon -7500403 true false 219 85 210 105 193 99 201 83

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

wolf
false
0
Polygon -16777216 true false 253 133 245 131 245 133
Polygon -7500403 true true 2 194 13 197 30 191 38 193 38 205 20 226 20 257 27 265 38 266 40 260 31 253 31 230 60 206 68 198 75 209 66 228 65 243 82 261 84 268 100 267 103 261 77 239 79 231 100 207 98 196 119 201 143 202 160 195 166 210 172 213 173 238 167 251 160 248 154 265 169 264 178 247 186 240 198 260 200 271 217 271 219 262 207 258 195 230 192 198 210 184 227 164 242 144 259 145 284 151 277 141 293 140 299 134 297 127 273 119 270 105
Polygon -7500403 true true -1 195 14 180 36 166 40 153 53 140 82 131 134 133 159 126 188 115 227 108 236 102 238 98 268 86 269 92 281 87 269 103 269 113

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 5.0.4
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 1.0 0.0
0.0 1 1.0 0.0
0.2 0 1.0 0.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180

@#$#@#$#@
0
@#$#@#$#@
